<form name="form" (ngSubmit)="onSubmit(f.form)" #f="ngForm" novalidate fxLayout="column"
      fxLayoutAlign="space-around start" class="mat-elevation-z6 boxed-container">
    <div fxLayout="column" fxLayoutAlign="space-between center" fxFill>
        <h2 class="text-bold title center">Seleziona i dati degli indicatori che vuoi monitorare</h2>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around start" fxFill>
        <mat-form-field>
            <mat-select placeholder="Canale" name="canali" [(ngModel)]="canale" required
                        (selectionChange)="selected($event)">
                <mat-option *ngFor="let canale of canali" [value]="canale">{{canale.nome}}</mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field>
            <mat-select placeholder="Anno" name="anno" (selectionChange)="onChange($event)" [(ngModel)]="model.anno" required>
                <mat-option *ngFor="let anno of anni" [value]="anno">{{anno}}</mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field>
            <mat-select placeholder="Mese" required name="mesi" [(ngModel)]="model.mesi" multiple>
                <mat-option *ngFor="let mese of mesi" [value]="mese.id">{{mese.label}}</mat-option>
            </mat-select>
        </mat-form-field>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around center" fxFill>
        <button mat-raised-button color="primary" type="submit">Invia</button>
    </div>
</form>
<div fxLayout="column" class="mat-elevation-z6 boxed-container">
    <div fxLayout="column" fxLayoutAlign="space-between center" fxFill>
        <h2 class="text-bold title center">Indicatori di monitoraggio</h2>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-around start" *ngIf="kpis && kpis.length > 0">
        <div fxFlex="20" *ngFor="let kpi of kpis" fxLayout="column" fxLayoutAlign="space-around center">
            <ngx-gauge
                    [value]="kpi.valore"
                    [label]="kpi.kpi"
                    [append]="appendChar"
                    [thresholds]=" (kpi.kpi.indexOf('Completezza') != -1) ? thresholdConfigAlt : thresholdConfig "
                    style="z-index: 9999">
            </ngx-gauge>
            <p style="text-align: center">
                {{kpi.descKpi}}
            </p>
        </div>
    </div>
</div>
<div class="mat-elevation-z6 boxed-container" *ngIf="kpis && kpis.length > 0">
    <h2 class="text-bold title center">File ancora da Elaborare</h2>
    <div *ngIf="fileDaElaborare.data.length > 0">
        <mat-table #table [dataSource]="fileDaElaborare">

            <!--- Note that these columns can be defined in any order.
                  The actual rendered columns are set as a property on the row definition" -->

            <ng-container matColumnDef="nomeFile">
                <mat-header-cell *matHeaderCellDef> Nome File</mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.nomeFile}}</mat-cell>
            </ng-container>

            <ng-container matColumnDef="canale">
                <mat-header-cell *matHeaderCellDef> Canale</mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.canale}}</mat-cell>
            </ng-container>

            <ng-container matColumnDef="tipoUpload">
                <mat-header-cell *matHeaderCellDef> Tipo Caricamento</mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.tipoUpload}}</mat-cell>
            </ng-container>

            <ng-container matColumnDef="dataUpload">
                <mat-header-cell *matHeaderCellDef> Data Caricamento</mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.dataUpload | date : 'dd/MM/yyyy HH:mm:ss'}}
                </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
        </mat-table>
    </div>
    <div *ngIf="fileDaElaborare.data.length === 0">
        <h3 class="title center">Non sono presenti file da elaborare</h3>
    </div>
</div>
